import { r as registerInstance, c as createEvent, h, g as getElement } from './chunk-82a2445c.js';

class RouteLink {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.registerRouteLink = createEvent(this, "registerRouteLink", 7);
        this.routeLinkChange = createEvent(this, "routeLinkChange", 7);
    }
    componentDidLoad() {
        this.postRender();
    }
    componentDidUpdate() {
        this.routeLinkChange.emit({ url: this.url, action: this.action, actionParams: this.actionParams });
        this.postRender();
    }
    postRender() {
        this.registerRouteLink.emit({ url: this.url, action: this.action, actionParams: this.actionParams });
    }
    render() {
        return (h("div", null, h("a", { href: '' + this.url }, h("slot", null))));
    }
    get el() { return getElement(this); }
}

export { RouteLink as ema_route_link };
